Package uk.co.mccombe.mapping

# Class SloveneGrid

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Projection
uk.co.mccombe.mapping.TransverseMercator
uk.co.mccombe.mapping.SloveneGrid

public class SloveneGrid extends TransverseMercator

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.TransverseMercator

`northernHemisphere, zone`

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Constructor
Description
`SloveneGrid(ENPair en, Ellipsoid e, Datum d)`
`SloveneGrid(Position p, Ellipsoid e, Datum d)`

## Method Summary

Modifier and Type
Method
Description
`Datum`
`defaultDatum()`
Get the defaul Datum for an instance of CoordinateSystem.
`Ellipsoid`
`defaultEllipsoid()`
The default Ellipsoid used by instances of this CoordinateSystem For example, a CoordinateSystem of type OSGB has the AirySphere as its default Ellipsoid
`double`
`e0()`
phi0() defines the latitude of the true origin of the projection.
`double`
`f0()`
The scale factor on the Central Meridian.
`double`
`lamda0()`
lamda0() defines the longitude (in radians) of the true origin also known as the "Central Meridian".
`static SloveneGrid`
`makePoint(String gridRef, Ellipsoid e, Datum d)`
`double`
`n0()`
n0() defines the "false northing" distance of the projection.
`double`
`phi0()`
phi0() defines the latitude of the true origin of the projection.
`String`
`toString()`
Provide a String representation of this point in Slovene coordinates

### Methods inherited from class uk.co.mccombe.mapping.TransverseMercator

`gridConvergence, pointScaleFactor, toEN`

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SloveneGrid

public SloveneGrid(Position p, Ellipsoid e, Datum d)

### SloveneGrid

public SloveneGrid(ENPair en, Ellipsoid e, Datum d)

## Method Details

### makePoint

public static SloveneGrid makePoint(String gridRef, Ellipsoid e, Datum d) throws GridFormatException

Throws:
  `GridFormatException`

### defaultDatum

public Datum defaultDatum()
Description copied from class: `CoordinateSystem`
Get the defaul Datum for an instance of CoordinateSystem. For example, instances of OSGB usually use the OSGB 1936 datum.

Specified by:
  `defaultDatum` in class `CoordinateSystem`
Returns:
  The default Datum used by this instance of CoordinateSystem

### defaultEllipsoid

public Ellipsoid defaultEllipsoid()
Description copied from class: `CoordinateSystem`
The default Ellipsoid used by instances of this CoordinateSystem For example, a CoordinateSystem of type OSGB has the AirySphere as its default Ellipsoid

Specified by:
  `defaultEllipsoid` in class `CoordinateSystem`
Returns:
  The Ellipsoid used as the deafult for this CoordinateSystem

### toString

public String toString()
Provide a String representation of this point in Slovene coordinates

Specified by:
  `toString` in class `CoordinateSystem`
Returns:
  A Slovene coordinate String

### f0

public double f0()
The scale factor on the Central Meridian. Generally, Transverse Mercator projections increasingly exaggerate distances further from the central meridian. It is usual to reduce the scale factor at the central meridian to compensate for this effect and optimise the scale over the area of interest.

Specified by:
  `f0` in class `TransverseMercator`
Returns:
  the value of the ScaleFactor at the central meridian.

### n0

public double n0()
n0() defines the "false northing" distance of the projection. False origins are usually used with TM projections to ensure that easting and northing distances are always positive over the area of interest. n0() is used as an offset to the grid so that the "true origin" appears to have a northing value equal to n0().

Specified by:
  `n0` in class `TransverseMercator`
Returns:
  The false northing distance (double)

### e0

public double e0()
phi0() defines the latitude of the true origin of the projection. Note, however, that many Transverse Mercator projections employ a false origin. See n0() and e0() .

Specified by:
  `e0` in class `TransverseMercator`
Returns:
  The latitude of the true origin (radians)

### phi0

public double phi0()
Description copied from class: `TransverseMercator`
phi0() defines the latitude of the true origin of the projection. Note, however, that many Transverse Mercator projections employ a false origin. See n0() and e0() below.

Specified by:
  `phi0` in class `TransverseMercator`
Returns:
  The latitude of the true origin (radians)

### lamda0

public double lamda0()
lamda0() defines the longitude (in radians) of the true origin also known as the "Central Meridian".

Specified by:
  `lamda0` in class `TransverseMercator`
Returns:
  The central meridian (radians)